version: '2'

services:
  keycloak:
    image: quay.io/keycloak/keycloak:20.0
    command: start-dev
    environment:
      KEYCLOAK_ADMIN: admin
      KEYCLOAK_ADMIN_PASSWORD: admin
    ports:
      - 8080:8080
  redis:
    image: redis
    ports:
      - "6379:6379"
  db:
    image: postgres
    restart: always
    ports:
      - 5432:5432
    environment:
      POSTGRES_USER: redaction
      POSTGRES_PASSWORD: redaction
      POSTGRES_DB: master
  rabbitmq:
    image: 'rabbitmq:3.9-alpine'
    mem_limit: 500m
    environment:
      - RABBITMQ_DEFAULT_USER=user
      - RABBITMQ_DEFAULT_PASS=rabbitmq
    ports:
      - 5672:5672
      - 15672:15672
  minio:
    mem_limit: 1000m
    image: minio/minio
    command: server /entity
    ports:
      - 9000:9000
